/* 
    Created on : 2021/07/08
    AuTSor     : EugenesWorks(https://eugenesworks.com)
    Home page  : https://TSe-forme.net
    Version    :1.0
    MIT LICENSE
 */
const PTT = document.getElementById('pt');
const CANVA = document.getElementById('cvs');
var CTX;

var WIDTH = 0;

var TS = 0;
var PS = 0;

var back = new Image();
var turtle = new Image();
var pla = new Image();


var jv = 0;

var gs = [];

var point = 0;

window.addEventListener('DOMContentLoaded',function(){
    ini();
},false);

function ini(){
    var w = window.innerWidth;
    var h = window.innerHeight;
    WIDTH = w > h?h:w;
    
    CANVA.width = WIDTH;
    CANVA.height = WIDTH;
    CTX = CANVA.getContext('2d');
    
    back.src = 'img/back.svg';
    back.onload = function(){
        CTX.drawImage(back,0,0,WIDTH,WIDTH);
    }
    
    turtle.src = 'img/turtle.svg';
    TS = WIDTH / 5;
    jv = WIDTH * 0.3;
    turtle.onload = function(){
        CTX.drawImage(turtle,10,jv,TS,TS);
    }
    
    pla.src = 'img/plabag.svg';
    PS = WIDTH / 4;
    pla.onload = function(){
        CTX.drawImage(pla,WIDTH,WIDTH - PS,PS,PS);
    }
    
    gs = [{
        x : WIDTH,
        y : WIDTH / 3
    }];

    
    draw();
    
}

function draw(){
    CTX.drawImage(back,0,0,WIDTH,WIDTH);
    CTX.drawImage(turtle,10,jv,TS,TS);
    for (var i = 0; i < gs.length; i++) {
        CTX.drawImage(pla,gs[i].x,gs[i].y,PS,PS);
        gs[i].x = gs[i].x - 4;
        if(gs[i].x <= -10){
            gs[i].x = WIDTH;
            gs[i].y = Math.floor(Math.random()*(WIDTH - PS / 3));
        }
        jv += 2;
        point++;
        PTT.innerText = Math.floor(point / 10);
        if(jv > WIDTH | jv < (-1*TS)){
            reset();
        }else if((TS - 50) > gs[i].x){
            if((TS + jv) > gs[i].y & jv < (gs[i].y + PS)){
                reset();
            }else{
                requestAnimationFrame(draw);
            }
        }else{
            requestAnimationFrame(draw);
        }
    }
}

function reset(){
    jv = WIDTH * 0.3;
    PTT.innerText = "Retry : " + Math.floor(point / 10);
    point = 0;
    for (var i = 0; i < gs.length; i++) {
        gs[i].x = WIDTH;
        gs[i].y = Math.floor(Math.random()*(WIDTH - PS / 3));
    }
}

function jump(){
    jv -= 50;
}
